#version 330
#extension GL_ARB_separate_shader_objects : enable
precision highp float;
precision highp sampler2D;
precision highp sampler2DMS;
precision highp samplerCube;

layout(location = 0) smooth in vec4 _fin_fragColor;

struct SFragmentInput
{
	vec4 fragColor;
};

layout(location = 0) out vec4 _fout_outColor;

struct SFragmentOutput
{
	vec4 outColor;
};

layout( std140) uniform USceneInfo
{
	mat4 ViewProj;
	mat4 View;
	mat4 Proj;
	mat4 InvView;
	mat4 InvViewProj;
	mat4 InvView_FrameRhYUp;
	mat4 LHZToUser;
	vec4 ViewPosition;
	vec4 ViewDirection;
	vec4 DirLightPosition;
	vec4 DirLightColor;
	vec4 AmbientLightColor;
	vec4 SideVector;
	vec4 DepthVector;
	vec2 ZBufferLimits;
	float Handedness;
} SceneInfo;



void FragmentMain(in SFragmentInput fInput, out SFragmentOutput fOutput)
{
	fOutput.outColor = fInput.fragColor;
}


void main()
{
	SFragmentInput fInput;
	SFragmentOutput fOutput;

	fInput.fragColor = _fin_fragColor;
	FragmentMain(fInput, fOutput);
	_fout_outColor = fOutput.outColor;
}
